Package org.drinkless.tdlib

# Class TdApi.EditInlineMessageLiveLocation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.EditInlineMessageLiveLocation

Enclosing class:
  `TdApi`

public static class TdApi.EditInlineMessageLiveLocation extends TdApi.Function<TdApi.Ok>
Edits the content of a live location in an inline message sent via a bot; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `heading`
  The new direction in which the location moves, in degrees; 1-360.
  `String`
  `inlineMessageId`
  Inline message identifier.
  `int`
  `livePeriod`
  New time relative to the message send date, for which the location can be updated, in seconds.
  `TdApi.Location`
  `location`
  New location content of the message; pass null to stop sharing the live location.
  `int`
  `proximityAlertRadius`
  The new maximum distance for proximity alerts, in meters (0-100000).
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The new message reply markup; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditInlineMessageLiveLocation()`
  Default constructor for a function, which edits the content of a live location in an inline message sent via a bot; for bots only.
  `EditInlineMessageLiveLocation(String inlineMessageId, TdApi.ReplyMarkup replyMarkup, TdApi.Location location, int livePeriod, int heading, int proximityAlertRadius)`
  Creates a function, which edits the content of a live location in an inline message sent via a bot; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inlineMessageId

    public String inlineMessageId
    Inline message identifier.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The new message reply markup; pass null if none.

  - ### location

    public TdApi.Location location
    New location content of the message; pass null to stop sharing the live location.

  - ### livePeriod

    public int livePeriod
    New time relative to the message send date, for which the location can be updated, in seconds. If 0x7FFFFFFF specified, then the location can be updated forever. Otherwise, must not exceed the current livePeriod by more than a day, and the live location expiration date must remain in the next 90 days. Pass 0 to keep the current livePeriod.

  - ### heading

    public int heading
    The new direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.

  - ### proximityAlertRadius

    public int proximityAlertRadius
    The new maximum distance for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditInlineMessageLiveLocation

    public EditInlineMessageLiveLocation()
    Default constructor for a function, which edits the content of a live location in an inline message sent via a bot; for bots only.

    Returns `Ok`

  - ### EditInlineMessageLiveLocation

    public EditInlineMessageLiveLocation(String inlineMessageId, TdApi.ReplyMarkup replyMarkup, TdApi.Location location, int livePeriod, int heading, int proximityAlertRadius)
    Creates a function, which edits the content of a live location in an inline message sent via a bot; for bots only.

    Returns `Ok`

    Parameters:
      `inlineMessageId` - Inline message identifier.
      `replyMarkup` - The new message reply markup; pass null if none.
      `location` - New location content of the message; pass null to stop sharing the live location.
      `livePeriod` - New time relative to the message send date, for which the location can be updated, in seconds. If 0x7FFFFFFF specified, then the location can be updated forever. Otherwise, must not exceed the current livePeriod by more than a day, and the live location expiration date must remain in the next 90 days. Pass 0 to keep the current livePeriod.
      `heading` - The new direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.
      `proximityAlertRadius` - The new maximum distance for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR